/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.11-dev6
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.UnfilledTimeout();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('UnfilledTimeout', function() {
    it('should create an instance of UnfilledTimeout', function() {
      // uncomment below and update the code to test UnfilledTimeout
      //var instance = new ftclient.UnfilledTimeout();
      //expect(instance).to.be.a(ftclient.UnfilledTimeout);
    });

    it('should have the property buy (base name: "buy")', function() {
      // uncomment below and update the code to test the property buy
      //var instance = new ftclient.UnfilledTimeout();
      //expect(instance).to.be();
    });

    it('should have the property sell (base name: "sell")', function() {
      // uncomment below and update the code to test the property sell
      //var instance = new ftclient.UnfilledTimeout();
      //expect(instance).to.be();
    });

    it('should have the property unit (base name: "unit")', function() {
      // uncomment below and update the code to test the property unit
      //var instance = new ftclient.UnfilledTimeout();
      //expect(instance).to.be();
    });

    it('should have the property exitTimeoutCount (base name: "exit_timeout_count")', function() {
      // uncomment below and update the code to test the property exitTimeoutCount
      //var instance = new ftclient.UnfilledTimeout();
      //expect(instance).to.be();
    });

  });

}));
